Update account
curl --request PUT \
--url https://api.notifense.com/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUri": "<string>",
"billingAddress": {
"country": "<string>",
"region": "<string>",
"place": "<string>",
"postalCode": "<string>",
"subdivision": "<string>",
"streetName": "<string>",
"streetNumber": "<string>"
},
"billingEmailAddress": "<string>",
"technicalEmailAddress": "<string>",
"culture": "<unknown>",
"autoTopUpCredits": 123,
"lowCreditsThreshold": 123,
"isAutoTopUpEnabled": true
}
'import requests
url = "https://api.notifense.com/v1/accounts/{accountId}"
payload = {
"callbackUri": "<string>",
"billingAddress": {
"country": "<string>",
"region": "<string>",
"place": "<string>",
"postalCode": "<string>",
"subdivision": "<string>",
"streetName": "<string>",
"streetNumber": "<string>"
},
"billingEmailAddress": "<string>",
"technicalEmailAddress": "<string>",
"culture": "<unknown>",
"autoTopUpCredits": 123,
"lowCreditsThreshold": 123,
"isAutoTopUpEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUri: '<string>',
billingAddress: {
country: '<string>',
region: '<string>',
place: '<string>',
postalCode: '<string>',
subdivision: '<string>',
streetName: '<string>',
streetNumber: '<string>'
},
billingEmailAddress: '<string>',
technicalEmailAddress: '<string>',
culture: '<unknown>',
autoTopUpCredits: 123,
lowCreditsThreshold: 123,
isAutoTopUpEnabled: true
})
};
fetch('https://api.notifense.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}accounts
Update account
Updates an account.
PUT
https://api.notifense.com
/
v1
/
accounts
/
{accountId}
Update account
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
The email address that will receive invoices and other billing related information.
The email address that will receive technical information and updates.
The amount of credits that the account should be topped up with during auto top-up.
The amount of credits remaining that triggers notifications and auto top-up for the account.
Response
No Content
⌘I